org.eclipse.microprofile.reactive.messaging.tck.channel

## Class BeanInjectedWithDifferentFlavorsOfTheSameChannel

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.BeanInjectedWithDifferentFlavorsOfTheSameChannel

    @ApplicationScoped
    public class BeanInjectedWithDifferentFlavorsOfTheSameChannel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BeanInjectedWithDifferentFlavorsOfTheSameChannel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `consume()`
`org.reactivestreams.Publisher<String>` `hello1()`
`org.reactivestreams.Publisher<String>` `hello2()`
`org.reactivestreams.Publisher<String>` `hello3()`
`org.reactivestreams.Publisher<String>` `hello4()`
`org.reactivestreams.Publisher<String>` `hello5()`
`org.reactivestreams.Publisher<String>` `hello6()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanInjectedWithDifferentFlavorsOfTheSameChannel

    public BeanInjectedWithDifferentFlavorsOfTheSameChannel()

### Method Detail

#### hello1

    public org.reactivestreams.Publisher<String> hello1()

#### hello2

    public org.reactivestreams.Publisher<String> hello2()

#### hello3

    public org.reactivestreams.Publisher<String> hello3()

#### hello4

    public org.reactivestreams.Publisher<String> hello4()

#### hello5

    public org.reactivestreams.Publisher<String> hello5()

#### hello6

    public org.reactivestreams.Publisher<String> hello6()

#### consume

    public Map<String,String> consume()